
library("deSolve")
library("bbmle")
setwd(/path/to/your/folder/) ## please replace this according to your path and system
source("source/infection.models.r")
source("source/infection.nll.r")
sample.data2 = read.csv("data/sample.data2.csv")

str(sample.data2)

data2.control = subset(sample.data2, treatment == "control")
data2.treat = subset(sample.data2, treatment == "treatment")

fit.control = mle2(mon.inf.lag.1p.nll,
	start = list(r = 0.02, t0 = 0.5),
	data = list(nI = data2.control$number.infected,
		tps =  data2.control$time.days,
		Imax = data2.control$total.number
	),
	fixed = list(steps = 0.01)
)
summary(fit.control)

fit.treatment = mle2(mon.inf.lag.2p.nll,
	start = list(rp = 1, t0p = 1),
	data = list(nI = data2.treat$number.infected,
		tps = data2.treat$time.days,
		Imax = data2.treat$total.number
	),
	fixed = list(steps = 0.01,
		rc = coef(fit.control)[[1]],
		t0c = coef(fit.control)[[2]]
	)
)
summary(fit.treatment)
